[Unit]
Description=Bind mount volatile /var/cache/bind
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/tmp /var/cache
ConditionPathIsReadWrite=/tmp
ConditionPathExists=/var/cache/bind
ConditionPathIsReadWrite=!/var/cache/bind

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /tmp/bind /var/cache/bind
ExecStop=/bin/umount /var/cache/bind

[Install]
WantedBy=local-fs.target
